cURL
curl -X POST \
/klarna/connect \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/klarna/connect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/klarna/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/klarna/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"clientSecret": "client_secret_1234567890",
"flowId": "flow_1234567890",
"confirmUrl": "https://example.com/klarna/connect/flow_1234567890"
}Open Banking
Connect Klarna
Connect Klarna to allow fetching transactions from your bank account
Required permissions:open-banking:fetch-transactionsPOST
/
klarna
/
connect
cURL
curl -X POST \
/klarna/connect \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/klarna/connect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/klarna/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/klarna/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"clientSecret": "client_secret_1234567890",
"flowId": "flow_1234567890",
"confirmUrl": "https://example.com/klarna/connect/flow_1234567890"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
War diese Seite hilfreich?